<?php

/* 
 * Author       : Jai K
 * Purpose      : Main file for Billing module related functions
 * Created On   : 2016-12-12 11:37
 */

class Billing extends DB{
    
    function __construct(){
        parent::__construct();
        
    }
    
    
    /*
     * Services Module
     */
    function services() {
        
        switch( CMD ) :
            
            case 'GET_LIST' :
                // List all services
                $args = array(
                    'status'    => 1
                );

                return $this->get( TBL_SERVICE, $args );



            break;    
        
            default : return 'NOCMD'; break;

        endswitch;
                
    }
    
    
    /*
     * Service Menu module
     */
    function services_menu(){
        
                
        switch( CMD ) :

            case 'UPDATE_IT' :
                // Modify the Row
                $args = array(
                    'status'    => 2
                );

                $this->db->update( TBL_SERVICE, $args );



            break;    
        
            default : return 'NOCMD'; break;

        endswitch;
                
            
    }
    
    
    
}